clash-ghc-1.8.4: Clash: a functional hardware description language - GHC frontend

Copyright | (C) 2013-2016 University of Twente 2016-2017 Myrtle Software Ltd 2017-2022 Google Inc. 2017-2024 QBayLogic B.V.
License | BSD2 (see the file LICENSE)
Maintainer | QBayLogic B.V. <devops@qbaylogic.com>
Safe Haskell | None
Language | Haskell2010

Clash.GHC.Evaluator.Primitive

Description

Synopsis

- ghcPrimStep :: PrimStep
- ghcPrimUnwind :: PrimUnwind
- isUndefinedPrimVal :: Value -> Bool
- isUndefinedXPrimVal :: Value -> Bool

# Documentation

ghcPrimStep :: PrimStep Source #

ghcPrimUnwind :: PrimUnwind Source #

Evaluation of primitive operations.

isUndefinedPrimVal :: Value -> Bool Source #

isUndefinedXPrimVal :: Value -> Bool Source #